# Uses of Class
org.opensaml.security.messaging.HttpClientSecurityContext

Packages that use HttpClientSecurityContext
Package
Description
org.opensaml.security.messaging
Messaging-related security classes.
org.opensaml.security.messaging.impl
Message handler implementations.

## Uses of HttpClientSecurityContext in org.opensaml.security.messaging

Methods in org.opensaml.security.messaging that return HttpClientSecurityContext
Modifier and Type
Method
Description
`HttpClientSecurityContext`
HttpClientSecurityContext.`setSecurityParameters(HttpClientSecurityParameters parameters)`
Set the `HttpClientSecurityParameters` instance.
`HttpClientSecurityContext`
HttpClientSecurityContext.`setTLSCriteriaSetStrategy(Function<MessageContext,CriteriaSet> strategy)`
Set the TLS criteria strategy function.

## Uses of HttpClientSecurityContext in org.opensaml.security.messaging.impl

Fields in org.opensaml.security.messaging.impl with type parameters of type HttpClientSecurityContext
Modifier and Type
Field
Description
`private Function<MessageContext,HttpClientSecurityContext>`
PopulateHttpClientSecurityParametersHandler.`existingParametersContextLookupStrategy`
Strategy used to look up an existing `HttpClientSecurityContext` to copy.
`private Function<MessageContext,HttpClientSecurityContext>`
PopulateHttpClientSecurityParametersHandler.`securityParametersContextLookupStrategy`
Strategy used to look up the `HttpClientSecurityContext` to set the parameters for.
Method parameters in org.opensaml.security.messaging.impl with type arguments of type HttpClientSecurityContext
Modifier and Type
Method
Description
`void`
PopulateHttpClientSecurityParametersHandler.`setExistingParametersContextLookupStrategy(Function<MessageContext,HttpClientSecurityContext> strategy)`
Set the strategy used to look up an existing `HttpClientSecurityContext` to copy instead of actually resolving the parameters to set.
`void`
PopulateHttpClientSecurityParametersHandler.`setSecurityParametersContextLookupStrategy(Function<MessageContext,HttpClientSecurityContext> strategy)`
Set the strategy used to look up the `HttpClientSecurityContext` to set the parameters for.